org.apache.felix.scrplugin.helper

## Class Validator

- java.lang.Object
- - org.apache.felix.scrplugin.helper.Validator

    public class Validator
    extends Object

### Nested Class Summary

Nested Classes
`static class` `Validator.MethodResult`

### Constructor Summary

Constructors
Constructor and Description
`Validator(ComponentContainer container, Project project, Options options, IssueLog iLog)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Validator.MethodResult` `findLifecycleMethod(Project project, ComponentContainer container, String methodName, boolean isActivate)` Find a lifecycle methods.
`static Validator.MethodResult` `findMethod(Project project, Options options, ClassDescription cd, ReferenceDescription ref, String methodName)` Find the method and the required spec version
`void` `validate()` Validate the component description.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Validator

    public Validator(ComponentContainer container,
                     Project project,
                     Options options,
                     IssueLog iLog)

### Method Detail

#### validate

    public void validate()
                  throws SCRDescriptorException

Validate the component description. If errors occur a message is added to the issues list, warnings can be added to the warnings list.

Throws:
  `SCRDescriptorException`

#### findLifecycleMethod

    public static Validator.MethodResult findLifecycleMethod(Project project,
                                                             ComponentContainer container,
                                                             String methodName,
                                                             boolean isActivate)
                                                      throws SCRDescriptorException

Find a lifecycle methods.

Parameters:
  `methodName` - The method name.
  `isActivate` - Whether this is the activate or deactivate method.
Throws:
  `SCRDescriptorException`

#### findMethod

    public static Validator.MethodResult findMethod(Project project,
                                                    Options options,
                                                    ClassDescription cd,
                                                    ReferenceDescription ref,
                                                    String methodName)
                                             throws SCRDescriptorException

Find the method and the required spec version

Throws:
  `SCRDescriptorException` - If the class can't be found